Update Task
curl --request PATCH \
--url https://control-plane.kubiya.ai/api/v1/analytics/tasks/{task_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "<string>",
"completed_at": "<string>",
"duration_ms": 123,
"result": "<string>",
"error_message": "<string>"
}
'import requests
url = "https://control-plane.kubiya.ai/api/v1/analytics/tasks/{task_id}"
payload = {
"status": "<string>",
"completed_at": "<string>",
"duration_ms": 123,
"result": "<string>",
"error_message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status: '<string>',
completed_at: '<string>',
duration_ms: 123,
result: '<string>',
error_message: '<string>'
})
};
fetch('https://control-plane.kubiya.ai/api/v1/analytics/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Update Task
Update a task’s status and completion information.
This endpoint is called by workers to update task progress.
PATCH
/
api
/
v1
/
analytics
/
tasks
/
{task_id}
Update Task
Authorizations
Enter your Kubiya API token (format: Bearer )
Path Parameters
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I